| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_tap_iax2_stat_t Struct Reference

Accumulates per-packet statistics for an IAX2 stream delivered via the tap interface. More...

`#include <tap-iax2-analysis.h>`

## Public Attributes
bool | first_packet
uint32_t | flags
uint16_t | seq_num
uint32_t | timestamp
uint32_t | delta_timestamp
double | bandwidth
iax2_bw_history_item | bw_history [300]
uint16_t | bw_start_index
uint16_t | bw_index
uint32_t | total_bytes
double | delta
double | jitter
double | diff
double | time
double | start_time
double | max_delta
double | max_jitter
double | mean_jitter
uint32_t | max_nr
uint16_t | start_seq_nr
uint16_t | stop_seq_nr
uint32_t | total_nr
uint32_t | sequence
bool | under
int | cycles
uint16_t | pt
int | reg_pt

## Detailed Description

Accumulates per-packet statistics for an IAX2 stream delivered via the tap interface.

## Member Data Documentation

## ◆ bandwidth

double _tap_iax2_stat_t::bandwidth

Current estimated stream bandwidth in bytes per second.

## ◆ bw_history

iax2_bw_history_item _tap_iax2_stat_t::bw_history[300]

Rolling circular buffer of recent bandwidth history samples.

## ◆ bw_index

uint16_t _tap_iax2_stat_t::bw_index

Index into `bw_history` at which the next sample will be written.

## ◆ bw_start_index

uint16_t _tap_iax2_stat_t::bw_start_index

Index into `bw_history` marking the start of the valid history window.

## ◆ cycles

int _tap_iax2_stat_t::cycles

Sequence number cycle counter (currently unused).

## ◆ delta

double _tap_iax2_stat_t::delta

Arrival time delta from the previous packet in seconds.

## ◆ delta_timestamp

uint32_t _tap_iax2_stat_t::delta_timestamp

Difference in IAX2 timestamp from the previous packet in milliseconds.

## ◆ diff

double _tap_iax2_stat_t::diff

Difference between expected and actual arrival time in seconds.

## ◆ first_packet

bool _tap_iax2_stat_t::first_packet

True if this is the first packet seen; do not use after iax2_packet_analyse() — check (flags & STAT_FLAG_FIRST) instead.

## ◆ flags

uint32_t _tap_iax2_stat_t::flags

Bitmask of STAT_FLAG_* values describing the state of this packet.

## ◆ jitter

double _tap_iax2_stat_t::jitter

Instantaneous jitter estimate for this packet in seconds.

## ◆ max_delta

double _tap_iax2_stat_t::max_delta

Maximum inter-arrival delta observed over the lifetime of this stream in seconds.

## ◆ max_jitter

double _tap_iax2_stat_t::max_jitter

Maximum instantaneous jitter observed over the lifetime of this stream in seconds.

## ◆ max_nr

uint32_t _tap_iax2_stat_t::max_nr

Frame number of the packet at which the maximum delta was observed.

## ◆ mean_jitter

double _tap_iax2_stat_t::mean_jitter

Running mean jitter over the lifetime of this stream in seconds.

## ◆ pt

uint16_t _tap_iax2_stat_t::pt

Payload type of the most recent packet.

## ◆ reg_pt

int _tap_iax2_stat_t::reg_pt

Registered payload type for this stream.

## ◆ seq_num

uint16_t _tap_iax2_stat_t::seq_num

RTP-compatible sequence number of this IAX2 packet.

## ◆ sequence

uint32_t _tap_iax2_stat_t::sequence

Running sequence counter used for internal ordering.

## ◆ start_seq_nr

uint16_t _tap_iax2_stat_t::start_seq_nr

Sequence number of the first packet in this stream.

## ◆ start_time

double _tap_iax2_stat_t::start_time

Absolute arrival time of the first packet in this stream in seconds.

## ◆ stop_seq_nr

uint16_t _tap_iax2_stat_t::stop_seq_nr

Sequence number of the most recent packet in this stream.

## ◆ time

double _tap_iax2_stat_t::time

Absolute arrival time of this packet in seconds.

## ◆ timestamp

uint32_t _tap_iax2_stat_t::timestamp

IAX2 timestamp of this packet in milliseconds.

## ◆ total_bytes

uint32_t _tap_iax2_stat_t::total_bytes

Cumulative total bytes received for this stream.

## ◆ total_nr

uint32_t _tap_iax2_stat_t::total_nr

Total number of packets received for this stream.

## ◆ under

bool _tap_iax2_stat_t::under

Underflow flag (currently unused).

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/tap-iax2-analysis.h